// =====================================================================
//  $Id: TReadoutIdentification.cc,v 1.4 2004/03/07 10:30:33 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TReadoutIdentification.cc,v $
//  Revision 1.4  2004/03/07 10:30:33  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 16:39:00  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:20:11  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TReadoutIdentification.hh"

TReadoutIdentification::TReadoutIdentification( const Tstring& id )
  : theID( id )
{;}

TReadoutIdentification::TReadoutIdentification( const TReadoutIdentification& right )
  : theID( right.theID )  
{;}

TReadoutIdentification::~TReadoutIdentification()
{;}

const TReadoutIdentification& TReadoutIdentification::operator=( const TReadoutIdentification& right )
{
  theID = right.theID;
  return *this;
}

Tbool TReadoutIdentification::operator==( const TReadoutIdentification& right ) const
{
  if ( theID == right.theID ) {
    return Ttrue;
  } else {
    return Tfalse;
  }
}

Tbool TReadoutIdentification::operator!=( const TReadoutIdentification& right ) const
{
  if ( theID != right.theID ) {
    return Ttrue;
  } else {
    return Tfalse;
  }
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TReadoutIdentification)
#endif
